Next: 3.2.3 Preprocessing Up: 3.2 Gridding of arbitrarily Previous: 3.2.1.1 Exercises Contents Index

## 3.2.2 Gridding with Splines in Tension

As an alternative, we may use a global procedure to grid our data. This approach, implemented in the program surface, represents an improvement over standard minimum curvature algorithms by allowing users to introduce some tension into the surface. Physically, we are trying to force a thin elastic plate to go through all our data points; the values of this surface at the grid points become the gridded data. Mathematically, we want to find the function that satisfies the following constraints:

where is the ``tension'', . Basically, as we obtain the minimum curvature solution, while as we go towards a harmonic solution (which is linear in cross-section). The theory behind all this is quite involved and we do not have the time to explain it all here, please see Smith and Wessel [1990] for details. Some of the most important switches for this program are indicated in Table 3.3 3.1.

Table 3.3: Some of the options in surface.

Option | Purpose
-Aaspect | Sets aspect ratio for anisotropic grids.
-Climit | Sets convergence limit. Default is 1/1000 of data range.
-Ttension | Sets the tension [Default is 0]

Next: 3.2.3 Preprocessing Up: 3.2 Gridding of arbitrarily Previous: 3.2.1.1 Exercises Contents Index